Bug 1785877 - Missing dependency on python3-beautifulsoup4 for lyrics
Summary: Missing dependency on python3-beautifulsoup4 for lyrics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lollypop
Version: 31
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-21 20:59 UTC by Diogo
Modified: 2020-01-12 01:42 UTC (History)
1 user (show)

Fixed In Version: lollypop-1.2.19-1.fc30 lollypop-1.2.19-1.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-12 01:15:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Diogo 2019-12-21 20:59:25 UTC
Description of problem:

It's not possible to see the lyrics of songs if the package python3-beautifulsoup4 isn't installed.

Version-Release number of selected component (if applicable):

Lollypop 1.2.16 (fedoraproject.org)


How reproducible:


Steps to Reproduce:
1. Start with a fresh install of Fedora 31.
2. sudo dnf install lollypop
3. Launch Lollypop.
4. Play a song.
5. Click on the Lyrics menu.

Actual results:

No lyrics are found. If launched from the command line, there's a Python error on importing the bs4 module.

Expected results:

The lyrics should be properly fetched from one of the providers.

Additional info:

Manually installing the package python3-beautifulsoup4 solves the problem. As an user I expected it to be installed automatically.

Comment 1 Fedora Update System 2019-12-22 09:35:12 UTC
FEDORA-2019-de1698946b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-de1698946b

Comment 2 Fedora Update System 2019-12-22 09:35:13 UTC
FEDORA-2019-81d71cfca0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2019-81d71cfca0

Comment 3 Fedora Update System 2019-12-22 09:35:14 UTC
FEDORA-2019-16e61ab818 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-16e61ab818

Comment 4 Fedora Update System 2019-12-26 14:14:25 UTC
lollypop-1.2.16-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-16e61ab818

Comment 5 Fedora Update System 2020-01-04 21:17:58 UTC
lollypop-1.2.19-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-823e57fc3c

Comment 6 Fedora Update System 2020-01-04 22:23:43 UTC
lollypop-1.2.19-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9738eea5fc

Comment 7 Fedora Update System 2020-01-12 01:15:18 UTC
lollypop-1.2.19-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-01-12 01:42:05 UTC
lollypop-1.2.19-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.